For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
        • GETList all Share Tokens
        • GETRetrieve a Share Token
        • POSTCreate a Share Token
        • POSTExpire a Share Token
        • POSTRedeem a Share Token
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceConnectShare Tokens

List all Share Tokens

GET
https://api.withpersona.com/api/v1/connect/share-tokens
GET
/api/v1/connect/share-tokens
$curl https://api.withpersona.com/api/v1/connect/share-tokens \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "type": "connect/share-token",
5 "id": "cnst_ABC123",
6 "attributes": {
7 "status": "created",
8 "direction": "outbound",
9 "created-at": "2023-08-17T23:18:13.000Z",
10 "updated-at": "2023-08-17T23:18:13.000Z"
11 },
12 "relationships": {
13 "connection": {
14 "data": {
15 "type": "connect/connection",
16 "id": "cxn_ABC123"
17 }
18 },
19 "creator": {
20 "data": {
21 "type": "api-key",
22 "id": "api_ABC123"
23 }
24 },
25 "source": {
26 "data": {
27 "type": "inquiry",
28 "id": "inq_ABC123"
29 }
30 }
31 }
32 },
33 {
34 "type": "connect/share-token",
35 "id": "cnst_ABC456",
36 "attributes": {
37 "status": "redeemed",
38 "direction": "inbound",
39 "created-at": "2023-08-17T23:18:13.000Z",
40 "updated-at": "2023-08-17T23:30:15.000Z",
41 "pending-at": "2023-08-17T23:25:00.000Z",
42 "redeemed-at": "2023-08-17T23:30:15.000Z"
43 },
44 "relationships": {
45 "connection": {
46 "data": {
47 "type": "connect/connection",
48 "id": "cxn_ABC123"
49 }
50 },
51 "destination": {
52 "data": {
53 "type": "inquiry",
54 "id": "inq_XYZ789"
55 }
56 }
57 }
58 }
59 ],
60 "links": {
61 "next": "/api/v1/connect/share-tokens?page%5Bafter%5D=cnst_ABC456",
62 "prev": "string"
63 }
64}
Returns a list of your organization's Share Tokens. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Retrieve a Share Token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
filterobjectOptional

Response

This endpoint returns a collection of Share Token resources.
datalist of objects
An array of Share Tokens
linksobject
includedlist of any

Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.